Want to subscribe to topics you're interested in?
Become a Member

check if some firewall or security module blocks admin-ajax.php

Discussion in 'Blogs & CMS usage' started by yojimbo45, Aug 5, 2020.

  1. yojimbo45

    yojimbo45 New Member

    8
    1
    3
    Jan 10, 2020
    Ratings:
    +4
    Local Time:
    2:03 PM
    hi, Has anyone ever had problems installing wordpress themes?

    I want to use a newspapper style theme made by tagdiv. My problem is that the verification step does not work. They told me to check if some firewall or security module which blocks admin-ajax.php. But i dont know how to do this.

    Centminmod does not display any errors on the page, as well as in the console.

     
  2. eva2000

    eva2000 Administrator Staff Member

    49,037
    11,235
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +17,487
    Local Time:
    5:03 PM
    Nginx 1.21.x
    MariaDB 10.x
  3. yojimbo45

    yojimbo45 New Member

    8
    1
    3
    Jan 10, 2020
    Ratings:
    +4
    Local Time:
    2:03 PM
    thanks problem solved. the error popped while installing another theme. I forgot to swap ssl from flexible to full inside cloudflare :whistle:
     
  4. jacknguyen

    jacknguyen New Member

    9
    0
    1
    Jun 3, 2022
    Ratings:
    +1
    Local Time:
    3:03 PM
    1.5
    10
    Same issue.[​IMG]
     
  5. eva2000

    eva2000 Administrator Staff Member

    49,037
    11,235
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +17,487
    Local Time:
    5:03 PM
    Nginx 1.21.x
    MariaDB 10.x
  6. jacknguyen

    jacknguyen New Member

    9
    0
    1
    Jun 3, 2022
    Ratings:
    +1
    Local Time:
    3:03 PM
    1.5
    10
    Hi @eva2000
    Hope you have a great day.
    I finally fixed my issue. This issue is about Cloudflare
    I follow https://community.centminmod.com/th...te-cloudflare-nginx-csf-firewall-setups.6241/
    And https://servermanager.guide/122/how-to-install-wordpress-on-centmin-mod-lemp-stack-guide/
    # uncomment cloudflare.conf include if using cloudflare for
    # server and/or vhost site
    include /usr/local/nginx/conf/cloudflare.conf;
    and
    Then manually run the tools/csfcf.sh

    But This Doesn't Work, i don't know why.
    Then i do google search and Install the Cloudflare plugin (or Really Simple SSL), the issue solved.

    And i think my solution can fix the issue of this thread : https://community.centminmod.com/threads/flatsome-wordpress-theme-ajax-error.21317/page-2
     
  7. eva2000

    eva2000 Administrator Staff Member

    49,037
    11,235
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +17,487
    Local Time:
    5:03 PM
    Nginx 1.21.x
    MariaDB 10.x
    Sounds like you set Cloudflare Flexible SSL mode, try switching to Cloudflare Full SSL (non-strict) mode so CF can talk with HTTPS based Centmin Mod Nginx site.
     
  8. jacknguyen

    jacknguyen New Member

    9
    0
    1
    Jun 3, 2022
    Ratings:
    +1
    Local Time:
    3:03 PM
    1.5
    10
    Last edited: Jun 3, 2022